%define module mocks
%define bname fest
%define with_maven 1

Name:          fest-%{module}
Version:       1.1.1
Release:       %mkrel 1
Summary:       FEST Mocks
Group:         Development/Java
License:       ASL 2.0
Url:           http://fest.easytesting.org/
# svn export http://svn.codehaus.org/fest/trunk/fest-mocks/ fest-mocks-1.1.1
# tar czf fest-mocks-1.1.1-src-svn.tar.gz fest-mocks-1.1.1
Source0:       fest-mocks-1.1.1-src-svn.tar.gz
# ant build scripts
Source1:       fest-mocks-1.1.1-autogeneratefiles.tar.gz

BuildRequires: fest-parent
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: easymock2
BuildRequires: easymock2-classextension
BuildRequires: junit4
BuildRequires: cglib
BuildRequires: hamcrest
BuildRequires: objectweb-asm
BuildRequires: objenesis

%if !%with_maven
BuildRequires: ant
%else
BuildRequires: maven >= 0:2.0.8
BuildRequires: maven-ant-plugin
BuildRequires: maven-surefire-provider-junit4
%endif

Requires:      easymock2
Requires:      easymock2-classextension

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Utilities that simplify usage of Mock Objects.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n fest-%{module}-%{version}
%if !%with_maven
# TODO
%endif
%build

%if !%with_maven
# TODO
%else
  mvn-rpmbuild ant:ant install javadoc:aggregate
%endif

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{bname}

install -m 644 target/%{name}-%{version}.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{bname}/%{module}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}.pom
%add_to_maven_depmap org.easytesting %{name} %{version} JPP/%{bname} %{module}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE.txt
%dir %{_javadir}/%{bname}
%{_javadir}/%{bname}/%{module}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Oct 31 2011 gil <gil> 1.1.1-1.mga2
+ Revision: 160508
- imported package fest-mocks

